Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.utils
Class Messages

    java.lang.Object
      |
      +--org.apache.axis.utils.Messages

public class Messages
extends java.lang.Object

Author:
  Richard A. Sitze (rsitze@us.ibm.com), Karl Moss (kmoss@macromedia.com), Glen Daniels (gdaniels@macromedia.com)
See Also:
  `Messages`

Constructor Summary
`Messages()`

Method Summary
`static java.lang.String` | `getMessage(java.lang.String key)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String[] args)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1, java.lang.String arg2)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3, java.lang.String arg4)` Get a message from resource.properties from the package of the given object.
`static MessageBundle` | `getMessageBundle()`
`static java.util.ResourceBundle` | `getResourceBundle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Messages

    public Messages()

Method Detail

### getMessage

    public static java.lang.String getMessage(java.lang.String key)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
  Returns:
    The formatted message
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
  Returns:
    The formatted message
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0,
                                              java.lang.String arg1)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
  Returns:
    The formatted message
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0,
                                              java.lang.String arg1,
                                              java.lang.String arg2)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
  Returns:
    The formatted message
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0,
                                              java.lang.String arg1,
                                              java.lang.String arg2,
                                              java.lang.String arg3)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
    `arg3` - The argument to place in variable {3}
  Returns:
    The formatted message
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0,
                                              java.lang.String arg1,
                                              java.lang.String arg2,
                                              java.lang.String arg3,
                                              java.lang.String arg4)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
    `arg3` - The argument to place in variable {3}
    `arg4` - The argument to place in variable {4}
  Returns:
    The formatted message
    `java.util.MissingResourceException`

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String[] args)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.

  Parameters:
    `key` - The resource key
  Returns:
    The formatted message
    `java.util.MissingResourceException`

### getResourceBundle

    public static java.util.ResourceBundle getResourceBundle()

### getMessageBundle

    public static MessageBundle getMessageBundle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.